<%@ page language="java" import="java.util.*,net.sf.json.JSONArray" pageEncoding="UTF-8"%>
<%

String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";

List list = new ArrayList();

list.add(new String[]{"false","","","小图标"});//是否是标注,标注图片名称，标注图片路径，分隔符名称
list.add(new String[]{"true","","p/s/1/blue.png",""});
list.add(new String[]{"true","","p/s/1/green.png",""});
list.add(new String[]{"true","","p/s/1/orange.png",""});
list.add(new String[]{"true","","p/s/1/pink.png",""});
list.add(new String[]{"true","","p/s/1/red.png",""});
list.add(new String[]{"true","","p/s/1/yellow.png",""});
list.add(new String[]{"true","","p/s/1/cyan.png",""});
//2
list.add(new String[]{"true","","p/s/2/blue.png",""});
list.add(new String[]{"true","","p/s/2/green.png",""});
list.add(new String[]{"true","","p/s/2/orange.png",""});
list.add(new String[]{"true","","p/s/2/pink.png",""});
list.add(new String[]{"true","","p/s/2/red.png",""});
list.add(new String[]{"true","","p/s/2/yellow.png",""});
list.add(new String[]{"true","","p/s/2/cyan.png",""});
//3
list.add(new String[]{"true","","p/s/3/blue.png",""});
list.add(new String[]{"true","","p/s/3/green.png",""});
list.add(new String[]{"true","","p/s/3/orange.png",""});
list.add(new String[]{"true","","p/s/3/pink.png",""});
list.add(new String[]{"true","","p/s/3/red.png",""});
list.add(new String[]{"true","","p/s/3/yellow.png",""});
list.add(new String[]{"true","","p/s/3/cyan.png",""});
//4
list.add(new String[]{"true","","p/s/4/blue.png",""});
list.add(new String[]{"true","","p/s/4/green.png",""});
list.add(new String[]{"true","","p/s/4/orange.png",""});
list.add(new String[]{"true","","p/s/4/pink.png",""});
list.add(new String[]{"true","","p/s/4/red.png",""});
list.add(new String[]{"true","","p/s/4/yellow.png",""});
list.add(new String[]{"true","","p/s/4/cyan.png",""});
//5
list.add(new String[]{"true","","p/s/5/blue.png",""});
list.add(new String[]{"true","","p/s/5/green.png",""});
list.add(new String[]{"true","","p/s/5/orange.png",""});
list.add(new String[]{"true","","p/s/5/pink.png",""});
list.add(new String[]{"true","","p/s/5/red.png",""});
list.add(new String[]{"true","","p/s/5/yellow.png",""});
list.add(new String[]{"true","","p/s/5/cyan.png",""});
//6
//list.add(new String[]{"true","","p/s/6/blue.png",""});
//list.add(new String[]{"true","","p/s/6/green.png",""});
//list.add(new String[]{"true","","p/s/6/orange.png",""});
//list.add(new String[]{"true","","p/s/6/pink.png",""});
//list.add(new String[]{"true","","p/s/6/red.png",""});
//list.add(new String[]{"true","","p/s/6/yellow.png",""});
//list.add(new String[]{"true","","p/s/6/cyan.png",""});

//气泡类
//1
list.add(new String[]{"false","","","气泡类"});
list.add(new String[]{"true","","p/b/1/red.gif",""});
list.add(new String[]{"true","","p/b/1/yellow.gif",""});
list.add(new String[]{"true","","p/b/1/green.gif",""});
list.add(new String[]{"true","","p/b/1/orange.gif",""});
list.add(new String[]{"true","","p/b/1/rose.gif",""});
list.add(new String[]{"true","","p/b/1/blue.gif",""});
list.add(new String[]{"true","","p/b/1/black.gif",""});
//3
list.add(new String[]{"true","","p/b/3/red.gif",""});
list.add(new String[]{"true","","p/b/3/yellow.gif",""});
list.add(new String[]{"true","","p/b/3/green.gif",""});
list.add(new String[]{"true","","p/b/3/orange.gif",""});
list.add(new String[]{"true","","p/b/3/rose.gif",""});
list.add(new String[]{"true","","p/b/3/blue.gif",""});
list.add(new String[]{"true","","p/b/3/blank.gif",""});

//旗帜类
list.add(new String[]{"false","","","旗帜类"});
//1
list.add(new String[]{"true","","p/f/1/red.gif",""});
list.add(new String[]{"true","","p/f/1/yellow.gif",""});
list.add(new String[]{"true","","p/f/1/green.gif",""});
list.add(new String[]{"true","","p/f/1/orange.gif",""});
list.add(new String[]{"true","","p/f/1/rose.gif",""});
list.add(new String[]{"true","","p/f/1/blue.gif",""});
list.add(new String[]{"true","","p/f/1/blank.gif",""});
//2
list.add(new String[]{"true","","p/f/2/red.gif",""});
list.add(new String[]{"true","","p/f/2/yellow.gif",""});
list.add(new String[]{"true","","p/f/2/green.gif",""});
list.add(new String[]{"true","","p/f/2/orange.gif",""});
list.add(new String[]{"true","","p/f/2/rose.gif",""});
list.add(new String[]{"true","","p/f/2/blue.gif",""});
list.add(new String[]{"true","","p/f/2/black.gif",""});

//交通类
list.add(new String[]{"false","","","交通类"});

list.add(new String[]{"true","飞机","p/t/flatfile.gif",""});
list.add(new String[]{"true","铁路","p/t/railroad.gif",""});
list.add(new String[]{"true","公交","p/t/bus.gif",""});
list.add(new String[]{"true","地铁","p/t/metro.gif",""});
list.add(new String[]{"true","电车","p/t/trolleybus.gif",""});
list.add(new String[]{"true","水路","p/t/waterway.gif",""});
list.add(new String[]{"true","高山铁路","p/t/highrail.gif",""});

//地点类
list.add(new String[]{"false","","","地点类"});
//1
list.add(new String[]{"true","俱乐部","p/p/bar.gif",""});
list.add(new String[]{"true","咖啡馆","p/p/cafe.gif",""});
list.add(new String[]{"true","餐饮","p/p/restaurant.gif",""});
list.add(new String[]{"true","住宿","p/p/lodging.gif",""});
list.add(new String[]{"true","银行","p/p/bank.gif",""});
list.add(new String[]{"true","加油站","p/p/gastation.gif",""});
list.add(new String[]{"true","商场","p/p/shopping.gif",""});
//2
list.add(new String[]{"true","杂货店","p/p/supermarket.gif",""});
list.add(new String[]{"true","零售店","p/p/shopping.gif",""});
list.add(new String[]{"true","学校","p/p/school.gif",""});
list.add(new String[]{"true","医院","p/p/hospital.gif",""});
list.add(new String[]{"true","药店","p/p/pharmacy.gif",""});
list.add(new String[]{"true","消防局","p/p/fire.gif",""});
list.add(new String[]{"true","教堂","p/p/church.gif",""});
//3
list.add(new String[]{"true","搅拌站","p/p/jbz.jpg",""});

//娱乐类  
list.add(new String[]{"false","","","娱乐类"});

list.add(new String[]{"true","公园","p/a/park.gif",""});
list.add(new String[]{"true","高尔夫球","p/a/golf.gif",""});
list.add(new String[]{"true","登山","p/a/hiking_h.gif",""});

//其他类  
list.add(new String[]{"false","","","其他类"});
list.add(new String[]{"true","","p/b/2/markerA.gif",""});
list.add(new String[]{"true","","p/b/2/markerB.gif",""});
list.add(new String[]{"true","","p/b/2/markerC.gif",""});
list.add(new String[]{"true","","p/b/2/markerD.gif",""});
list.add(new String[]{"true","","p/b/2/markerE.gif",""});
list.add(new String[]{"true","","p/b/2/markerF.gif",""});
list.add(new String[]{"true","","p/b/2/markerG.gif",""});

list.add(new String[]{"true","","p/b/2/markerH.gif",""});
list.add(new String[]{"true","","p/b/2/markerI.gif",""});
list.add(new String[]{"true","","p/b/2/markerJ.gif",""});
list.add(new String[]{"true","","p/b/2/markerK.gif",""});
list.add(new String[]{"true","","p/b/2/markerL.gif",""});
list.add(new String[]{"true","","p/b/2/markerM.gif",""});
list.add(new String[]{"true","","p/b/2/markerN.gif",""});

list.add(new String[]{"true","","p/b/2/markerO.gif",""});
list.add(new String[]{"true","","p/b/2/markerP.gif",""});
list.add(new String[]{"true","","p/b/2/markerQ.gif",""});
list.add(new String[]{"true","","p/b/2/markerR.gif",""});
list.add(new String[]{"true","","p/b/2/markerS.gif",""});
list.add(new String[]{"true","","p/b/2/markerT.gif",""});
list.add(new String[]{"true","","p/b/2/markerU.gif",""});

list.add(new String[]{"true","","p/b/2/markerV.gif",""});
list.add(new String[]{"true","","p/b/2/markerW.gif",""});
list.add(new String[]{"true","","p/b/2/markerX.gif",""});
list.add(new String[]{"true","","p/b/2/markerY.gif",""});
list.add(new String[]{"true","","p/b/2/markerZ.gif",""});
System.out.println(request.getParameter("gpscallback"));

%>

<%if(request.getParameter("gpscallback")!=null){ %>

	<%=request.getParameter("gpscallback")%>({"data" :<%=JSONArray.fromObject(list).toString() %>})
	
<%}else{%>

	{"data" :<%=JSONArray.fromObject(list).toString()  %>}
	
<%}%>

